#
# spec file for package x11-tools (Version 0.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           x11-tools
License:        GPLv2+ ; MIT License (or similar)
Group:          System/X11/Utilities
PreReq:         %fillup_prereq
Provides:       xf86tools 3ddiag
Obsoletes:      xf86tools 3ddiag
AutoReqProv:    on
Version:        0.1
Release:        179
Summary:        Tools for the X Window System
Source2:        xf86debug
Source3:        switch2nv
Source4:        switch2nvidia
Source6:        wmlist
Source8:        kroot
Source31:       xim
Source32:       xim.template
Source33:       none
Source34:       sysconfig.language-%{name}
Source35:       nvidia-pre-install
Source36:       nvidia-post-uninstall
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Some useful tools for the X Window System.



Authors:
--------
    Stefan Dirsch <sndirsch@suse.de>
    Ludwig Nussel <lnussel@suse.de>

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin/
install -m 755 $RPM_SOURCE_DIR/xf86debug      $RPM_BUILD_ROOT/usr/bin
install -m 755 $RPM_SOURCE_DIR/wmlist         $RPM_BUILD_ROOT/usr/bin
install -m 755 $RPM_SOURCE_DIR/kroot          $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/X11/xim.d
install -m 644 $RPM_SOURCE_DIR/xim  $RPM_BUILD_ROOT/etc/X11
install -m 644 $RPM_SOURCE_DIR/none $RPM_BUILD_ROOT/etc/X11/xim.d
mkdir -p $RPM_BUILD_ROOT/etc/skel
install -m 644 $RPM_SOURCE_DIR/xim.template $RPM_BUILD_ROOT/etc/skel/.xim.template
mkdir -p  $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -c -m0644 $RPM_SOURCE_DIR/sysconfig.language-%{name} $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 755 $RPM_SOURCE_DIR/switch2nv $RPM_BUILD_ROOT/usr/bin 
install -m 755 $RPM_SOURCE_DIR/switch2nvidia $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/nvidia
install -m 755 $RPM_SOURCE_DIR/nvidia-pre-install \
  $RPM_BUILD_ROOT/usr/lib/nvidia/pre-install
install -m 755 $RPM_SOURCE_DIR/nvidia-post-uninstall \
  $RPM_BUILD_ROOT/usr/lib/nvidia/post-uninstall

%post
%{fillup_only -an language}

%files
%defattr(-, root, root)
%dir /etc/X11/xim.d
%dir /usr/lib/nvidia
/usr/bin/xf86debug
/usr/bin/wmlist
/usr/bin/kroot
/usr/bin/switch2nv
/usr/bin/switch2nvidia
/usr/lib/nvidia/pre-install
/usr/lib/nvidia/post-uninstall
/etc/X11/xim
/etc/X11/xim.d/*
/etc/skel/.xim.template
/var/adm/fillup-templates/sysconfig.language-%{name}

%changelog
